import { CollectionFieldInterface } from "../../data-source/collection-field-interface/CollectionFieldInterface.mjs";
import { defaultProps, operators, unique } from "./properties/index.mjs";
function _define_property(obj, key, value) {
    if (key in obj) Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
    });
    else obj[key] = value;
    return obj;
}
class PhoneFieldInterface extends CollectionFieldInterface {
    constructor(...args){
        super(...args), _define_property(this, "name", 'phone'), _define_property(this, "type", 'object'), _define_property(this, "group", 'basic'), _define_property(this, "order", 3), _define_property(this, "title", '{{t("Phone")}}'), _define_property(this, "icon", 'TabletOutlined'), _define_property(this, "sortable", true), _define_property(this, "default", {
            type: 'string',
            uiSchema: {
                type: 'string',
                'x-component': 'Input',
                'x-component-props': {
                    type: 'tel'
                }
            }
        }), _define_property(this, "availableTypes", [
            'string'
        ]), _define_property(this, "hasDefaultValue", true), _define_property(this, "properties", {
            ...defaultProps,
            unique: unique
        }), _define_property(this, "filterable", {
            operators: operators.string
        }), _define_property(this, "titleUsable", true);
    }
}
export { PhoneFieldInterface };
